### Function

# Gimp value_take_rgb_array

unstable since: 3.0

#### Declaration [src]

    void
    gimp_value_take_rgb_array (
      GValue* value,
      GimpRGB* data,
      gsize length
    )

#### Description [src]

Sets the contents of `value` to `data`, and takes ownership of `data`.

Available since: 3.0

#### Parameters

`value`

  Type: `GValue`

  A valid value of type `GIMP_TYPE_RGB_ARRAY`.

  The data is owned by the caller of the function.

`data`

  Type: An array of `GimpRGB`

  A `GimpRGB` array.

  The length of the array is specified in the `length` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `gsize`

  The number of elements in `data`.